version: "3"

# More info at https://github.com/pi-hole/docker-pi-hole/ and https://docs.pi-hole.net/
services:
  pihole:
    container_name: pihole
    image: docker.io/pihole/pihole:2024.05.0
    ports:
      - "53:53/tcp"
      - "53:53/udp"
      - "8081:80/tcp"
    environment:
      TZ: "America/Chicago"
      # WEBPASSWORD: "SET A PASSWORD HERE"
    # Volumes store your data between container upgrades
    volumes:
      - pihole:/etc/pihole
      - dnsmasq:/etc/dnsmasq.d
    restart: unless-stopped
    networks:
      - podman1

volumes:
  pihole:
  dnsmasq:
